NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Diagramming.LeaderLineBuilder Class Reference

Represents a LeaderLineBuilder. More...

Inheritance diagram for NXOpen.Diagramming.LeaderLineBuilder:
NXOpen.Diagramming.SheetElementBuilder NXOpen.Diagramming.BaseObjectBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  VerticalAlignmentOption { Top, Middle, Bottom }
 Represents the option NXOpen.Diagramming.LeaderLineBuilder.VerticalAlignment for a NXOpen.Diagramming.LeaderLineBuilder . More...
 
- Public Types inherited from NXOpen.Diagramming.SheetElementBuilder
enum  ResizeOptionType {
  AnyDirection, OnAnchor, SameRatio, SameRationOnCorner,
  SameRatioOnEdge
}
 Represents the resize option for a NXOpen.Diagramming.SheetElementBuilder . More...
 

Public Member Functions

unsafe void GetBendPoints (out NXOpen.Point2d[] points)
 Get bending points for polyline to render the leader line. More...
 
unsafe void GetTerminator (out NXOpen.Diagramming.SheetElement terminator, out int segmentId, out double percentX, out double inputX, out double percentY, out double inputY)
 Gets the terminator of the leader. More...
 
unsafe void SetBendPoints (NXOpen.Point2d[] points)
 Set bending points for polyline to render the leader line. More...
 
unsafe void SetTerminator (NXOpen.Diagramming.SheetElement terminator, int segmentId, double percentX, double inputX, double percentY, double inputY)
 Sets the terminator of the leader. More...
 
- Public Member Functions inherited from NXOpen.Diagramming.SheetElementBuilder
unsafe void GetAllowedTransformations (out bool isAllowedTranslation, out bool isAllowedRotation, out bool isAllowedScale, out bool isAllowedShear)
 Get the allowed transformations of the sheet element. More...
 
unsafe void GetMinNodeSize (out double[] sizeValues)
 Gets the minimum node size values More...
 
unsafe void SetMinNodeSize (double[] sizeValues)
 Sets the minimum node size values More...
 
unsafe void SetOwningSheet (NXOpen.Diagramming.Sheet owningSheet)
 Set the owning sheet when the sheet element is created. More...
 

Properties

unsafe
NXOpen.Diagramming.DiagrammingArrowtype 
ArrowType [get, set]
 Returns or sets the arrow type of the end arrow More...
 
unsafe double StubLength [get, set]
 Returns or sets the stub length of this leader line. More...
 
unsafe
NXOpen.Diagramming.DiagrammingStubsides 
StubSides [get, set]
 Returns or sets the stub sides of this leader line. More...
 
unsafe
NXOpen.Diagramming.LeaderLineBuilder.VerticalAlignmentOption 
VerticalAlignment [get, set]
 Returns or sets the vertical alignment option. More...
 
- Properties inherited from NXOpen.Diagramming.SheetElementBuilder
unsafe double Height [get, set]
 Returns or sets the height. More...
 
unsafe
NXOpen.Diagramming.DiagrammingSizingpolicy 
HeightPolicy [get, set]
 Returns or sets the height policy. More...
 
unsafe bool Internal [get]
 Returns the flag that indicates if the sheet element is internal. More...
 
unsafe
NXOpen.Diagramming.Annotation 
Label [get]
 Returns the label of this sheet element. More...
 
unsafe string LabelName [get, set]
 Returns or sets the label name of this sheet element. More...
 
unsafe
NXOpen.Diagramming.LocationBuilder 
Location [get]
 Returns the location of the sheet element relative to another sheet element. More...
 
unsafe
NXOpen.Diagramming.DiagrammingLocationstyle 
LocationStyle [get, set]
 Returns or sets the location style. More...
 
unsafe bool MirrorX [get, set]
 Returns or sets the sheet element to Mirror along the X axis. More...
 
unsafe bool MirrorY [get, set]
 Returns or sets the sheet element to Mirror along the Y axis. More...
 
unsafe
NXOpen.Diagramming.SheetElement 
Owner [get, set]
 Returns or sets the owning sheet element. More...
 
unsafe NXOpen.Diagramming.Sheet OwningSheet [get]
 Returns the owning sheet. More...
 
unsafe
NXOpen.Diagramming.SheetElementBuilder.ResizeOptionType 
ResizeOption [get, set]
 Returns or sets the resize option of the sheet element More...
 
unsafe double Rotation [get, set]
 Returns or sets the rotation angle that is counter clockwise and relative to the owner. More...
 
unsafe
NXOpen.Diagramming.SheetElement 
SourceElement [get]
 Returns the source element that records which sheet element it is a copy of. More...
 
unsafe bool UpToDate [get]
 Returns the flag that indicates if the sheet element is up to date. More...
 
unsafe bool Visible [get]
 Returns the flag that indicates if the sheet element is visible. More...
 
unsafe double Width [get, set]
 Returns or sets the width. More...
 
unsafe
NXOpen.Diagramming.DiagrammingSizingpolicy 
WidthPolicy [get, set]
 Returns or sets the width policy. More...
 
unsafe double X [get, set]
 Returns or sets the absolute x coordinate. More...
 
unsafe double Y [get, set]
 Returns or sets the absolute y coordinate. More...
 
unsafe int ZDepth [get, set]
 Returns or sets the Z depth. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a LeaderLineBuilder.

To create a new instance of this class, use NXOpen.Diagramming.LeaderLineCollection.CreateLeaderLineBuilder

Created in NX10.0.0

Member Enumeration Documentation

Represents the option NXOpen.Diagramming.LeaderLineBuilder.VerticalAlignment for a NXOpen.Diagramming.LeaderLineBuilder .

Enumerator
Top 

Setting the vertical alignment top

Middle 

Setting the vertical alignment middle

Bottom 

Setting the vertical alignment bottom

Member Function Documentation

unsafe void NXOpen.Diagramming.LeaderLineBuilder.GetBendPoints ( out NXOpen.Point2d[]  points)
inline

Get bending points for polyline to render the leader line.

Created in NX10.0.0

License requirements: None.

Parameters
points
unsafe void NXOpen.Diagramming.LeaderLineBuilder.GetTerminator ( out NXOpen.Diagramming.SheetElement  terminator,
out int  segmentId,
out double  percentX,
out double  inputX,
out double  percentY,
out double  inputY 
)
inline

Gets the terminator of the leader.

Created in NX11.0.0

License requirements: None.

Parameters
terminator
segmentId
percentX
inputX
percentY
inputY
unsafe void NXOpen.Diagramming.LeaderLineBuilder.SetBendPoints ( NXOpen.Point2d[]  points)
inline

Set bending points for polyline to render the leader line.

Created in NX10.0.0

License requirements: None.

Parameters
points
unsafe void NXOpen.Diagramming.LeaderLineBuilder.SetTerminator ( NXOpen.Diagramming.SheetElement  terminator,
int  segmentId,
double  percentX,
double  inputX,
double  percentY,
double  inputY 
)
inline

Sets the terminator of the leader.

Created in NX11.0.0

License requirements: None.

Parameters
terminator
segmentId
percentX
inputX
percentY
inputY

Property Documentation

unsafe NXOpen.Diagramming.DiagrammingArrowtype NXOpen.Diagramming.LeaderLineBuilder.ArrowType
getset

Returns or sets the arrow type of the end arrow

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Diagramming.LeaderLineBuilder.StubLength
getset

Returns or sets the stub length of this leader line.

The negative value is not expected.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Diagramming.DiagrammingStubsides NXOpen.Diagramming.LeaderLineBuilder.StubSides
getset

Returns or sets the stub sides of this leader line.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Diagramming.LeaderLineBuilder.VerticalAlignmentOption NXOpen.Diagramming.LeaderLineBuilder.VerticalAlignment
getset

Returns or sets the vertical alignment option.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.